KImageFilePreview class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KImageFilePreview Class Reference

Image preview widget for the file dialog. More...

`#include <kimagefilepreview.h>`

Inheritance diagram for KImageFilePreview:

[legend]
Collaboration diagram for KImageFilePreview:

[legend]
List of all members.

## Public Slots
virtual void | showPreview (const KURL &url)
| This slot is called everytime the user selects another file in the file dialog.
virtual void | clearPreview ()
| Reimplement this to clear the preview.
## Public Member Functions
| KImageFilePreview (QWidget *parent)
virtual QSize | sizeHint () const
## Protected Slots
void | showPreview ()
void | showPreview (const KURL &url, bool force)
void | toggleAuto (bool)
virtual void | gotPreview (const KFileItem *, const QPixmap &)
## Protected Member Functions
virtual void | resizeEvent (QResizeEvent *e)
virtual KIO::PreviewJob * | createJob (const KURL &url, int w, int h)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Image preview widget for the file dialog.

Definition at line 34 of file kimagefilepreview.h.

## Member Function Documentation

void KImageFilePreview::showPreview | ( | const KURL & | url | ) | `[virtual, slot]`

  | This slot is called everytime the user selects another file in the file dialog. Implement the stuff necessary to reflect the change here. Parameters:
  url | The URL of the currently selected file.
Implements KPreviewWidgetBase. Definition at line 76 of file kimagefilepreview.cpp.

void KImageFilePreview::clearPreview | ( |  | ) | `[virtual, slot]`

| Reimplement this to clear the preview. This is called when e.g. the selection is cleared or when multiple selections exist, or the directory is changed. Implements KPreviewWidgetBase. Definition at line 158 of file kimagefilepreview.cpp. References QLabel::clear(), and KIO::Job::kill().

The documentation for this class was generated from the following files:

- kimagefilepreview.h
- kimagefilepreview.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:49 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001